require 'stripe'
require 'saaz/engine'
require 'saaz/version'
require 'saaz/stripe_object'
require 'saaz/configuration'

module Saaz
  mattr_accessor :_config

  def self.configure(&block)
    block.call config

    config.find_or_create_plans
  end

  def self.config
    self._config ||= Configuration.new
  end
end
